/*Globale variabler er sat i GENERAL.CSS*/
a {
  all:unset;
}

.header {
  z-index: 80;
  display: flex;
  position: fixed;
  flex-direction: row;
  height: var(--sz-header-height);
  top: 0;
  left: 0;
  right: 0;
  border-bottom-width: 1px;
  border-bottom-style: solid;
  background-color: var(--clr-header-background);
  min-width: min-content;
  /*justify-content: space-between;*/
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 10px 0 rgba(0, 0, 0, 0.2);
}
.header-banner {
  z-index: 101;
  background-color: var(--clr-header-background);
  /*background-image: url("../GB-images/Gershoj_banner03.jpg");*/
  background-size: cover;
  position: absolute;
  right:0px;
  width: 1450px; /*1500px;*/
  height: calc(var(--sz-header-height) - 0.05rem);
  object-fit:cover;
  -webkit-mask-image:-webkit-gradient(linear, right top, left bottom, from(rgba(0,0,0,1.0)), to(rgba(0, 0, 0, 0)));
  mask-image: linear-gradient(to left, rgba(0,0,0,1.0), rgba(0,0,0,0));
}
.header-left-section {
  z-index: 110;
  display: flex;
  flex-direction: column;
  width: var(--sz-sidebar-width);
  font-family: var(--ff-header-font-family);
  font-size: 0.80rem;
  font-weight:bold;
  color: var(--clr-header-color);
  align-items: center;
  justify-content:center;
  /* text-shadow: 1px 1px 2px rgb(150, 150, 200), 0 0 0.25em rgb(150, 150, 200), 0 0 0.2em rgb(150, 150, 200); */
}

.city-logo {
  height: 2.5em;
}

.header-link-button {
  height: 4.64rem;
  /*height: 100%;*/
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  cursor: pointer;
}
/*.header-link-button:focus,*/
.header-link-button:hover {
  background-color: var(--clr-header-hover);
  border-color: none;
}

.header-link:link {
  color: var(--clr-header-color);
  border-color: none;
  text-decoration: none;
}
.header-link:visited {
  color: var(--clr-header-color);
  border-color: none;
  text-decoration: none;
}

.header-right-section {
  z-index: 110;
  box-sizing:content-box;
  display: flex;
  
  font-family: var(--ff-header-font-family);
  font-size: 3.5em;
  font-weight:bold;
  color:var(--clr-header-color);
  
  /*background-color:var(--clr-header-background);
  /*background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(9,9,121,1) 35%, rgba(0,212,255,1) 100%);*/
  padding-left: 0.5rem;
  align-items:baseline;
  justify-content:left
}
.home-menu-button::after{
  font-weight: bold;
  font-size: 0.8em;
  content: "\00bb\00a0Hjem\00a0\00ab";
}
.header-right-section::before {
  /* text-shadow: 1px 1px 2px rgb(150, 150, 200), 0 0 0.25em rgb(150, 150, 200), 0 0 0.2em rgb(150, 150, 200); */
  content: var(--txt-title);
}

.header-right-section-subtitle{
  display: flex;
  font-size: 1rem;
  white-space: nowrap;
}

@media screen and (max-width: 500px) {
  /* Nedenstående sker hvis skærmen er lille */
  .header-right-section-subtitle{
    font-size: 0.75rem;
    white-space:unset;
  }
  .header-left-section {
    transform: translate(0em, 0em);
    /*transform: scale(0.95);*/
    /* text-shadow: 1px 1px 2px rgb(150, 150, 200), 0 0 0.25em rgb(150, 150, 200), 0 0 0.2em rgb(150, 150, 200); */
  }
  
  .home-menu-button span{
    display: none;
  }
  .home-menu-button::after{
    content: "\00bb\00a0Menu\00a0\00ab";
  }
}
@media screen and (max-height: 460px) {
  /* Nedenstående sker hvis skærmen er lille */
  .header-right-section-subtitle{
    white-space:unset;
  }
  .header-left-section {
    transform: translate(0em, 0em);
  }
  .home-menu-button span{
    display: none;
  }
  .home-menu-button::after{
    content: "\00bb\00a0Menu\00a0\00ab";
  }
}
